module TalltyImportExport
  module Attr
    class ExportHeader
      include AttrJson::Model
      attr_json_config(bad_cast: :as_nil, unknown_key: :allow)

      attr_json :key, :string
      attr_json :name, :string
      attr_json :attr_type, :string
      attr_json :format, :string
      attr_json :method, :string
      attr_json :chain, :string, array: true
      attr_json :merge, :boolean
      attr_json :json, :string
      attr_json :select, ActiveModel::Type::Value.new, array: true
      attr_json :source, :boolean
      attr_json :proc, ActiveModel::Type::Value.new, array: true
      attr_json :list, self.to_type, array: true
    end
  end
end
